/* =========================================================================

NAME: importTG

AUTHOR: Oleg Butrin (obutrin@indesign.rudtp.ru)
HOMEPAGE: http://indesign.rudtp.ru
DATE  : 08.04.2004 15:00

COMMENT:
Script search file names in the selected story and replace him to inline file contents

RIGHT:
You have the right to use and distribute this script.
You have the right to modify this script for own needs. 
It is desirable to send the variant to the author of a script.
You have no right to distribute the modified script from author's name.
You have no right to have profit from sale of a script.

The author of a script does not sustain the responsibility in all cases of loss data and other kinds of losses if they have arisen in the time of using a script.
You use this script at your own fear and risk.

============================================================================ */
with (app) {
// ini 
	var iniFile = new File (activeScript.path+ "/importTG.ini");
	if (iniFile.exists) {
		eval ("//@include \'importTG.ini\';");
	} else {
		alert("Can\'t open ini file!");
		exit();
	}
// lang 
	var myLangFile = new File (activeScript.path + "/" + iniLangFile);
	if (myLangFile.exists) {
		eval ("//@include \'" + iniLangFile + "\';");
	} else {
		alert ("Cant open lang file!");
		exit();
	}
//         
	if (documents.length < 1) {
		alert(langNoDoc);
		exit();
	}
	if (selection.length < 1) {
		alert(langNoSelection);
		exit();
	}
	if (selection.length > 1) {
		alert(langManyObjects);
		exit();
	}
	switch(selection[0].constructor.name) {
		case "TextFrame":
			var myStory = selection[0].parentStory;
			break;
		case "Text":
			var myStory = selection[0].parentStory;
			break;
		case "InsertionPoint":
			var myStory = selection[0].parentStory;
			break;
		default:
			alert(langNoText);
			exit()
	}
// 
	var myDialog = dialogs.add({name:iniScriptName + " " + iniScriptVersion});
	with (myDialog.dialogColumns.add()) {
		with (borderPanels.add().dialogColumns.add()) {
			dialogRows.add().staticTexts.add({staticLabel:langSelectOptions});
			var myNameOption = radiobuttonGroups.add();
			with (myNameOption) {
				radiobuttonControls.add({staticLabel:langShortName, checkedState:iniShortNameOn});
				radiobuttonControls.add({staticLabel:langLongName, checkedState:iniLongNameOn});
			}
			var myUseURI = dialogRows.add().checkboxControls.add({staticLabel:langUseURI, checkedState:iniUseURI});
			with (dialogRows.add()){
				with (dialogColumns.add()) {
					dialogRows.add().staticTexts.add({staticLabel:langTagBefore});
					dialogRows.add().staticTexts.add({staticLabel:langTagAfter});
				}
				with (dialogColumns.add()) {
					var myTagBefore = dialogRows.add().textEditboxes.add({editContents:iniTagBefore});
					var myTagAfter = dialogRows.add().textEditboxes.add({editContents:iniTagAfter});
				}
			}
		}
//
		dialogRows.add().staticTexts.add({staticLabel:"\u00A9 Oleg Butrin"});
		dialogRows.add().staticTexts.add({staticLabel:"http://indesign.rudtp.ru"});
	}
// 
	var myResult = myDialog.show();
	if (!myResult) {
		exit();
	}
//      
	var myFolder = Folder.selectDialog(langSelectFolder);
	if (myFolder == null) {
		exit();
	}
//   (  )   
	var myFiles = myFolder.getFiles();
	var myErrorCount = 0;
//  
	for (myCounter = 0; myCounter < myFiles.length; myCounter++) {
//    
		if (myFiles[myCounter].constructor.name == "File") {
//,            
			if (myNameOption.selectedButton == 0) {
				if (myUseURI.checkedState) {
					var myFileName = myFiles[myCounter].name;
				} else {
					var myFileName = decodeURI(myFiles[myCounter].name);
				}
			} else {
				if (myUseURI.checkedState) {
					var myFileName = myFiles[myCounter].fullName;
				} else {
					var myFileName = myFiles[myCounter].fsName;
				}
			}
//   
			myFileName = String(myFileName);
//   
			var myFindString = myTagBefore.editContents + myFileName + myTagAfter.editContents;
//     
			var myFindResult = myStory.search(myFindString, undefined, iniCaseSensitive);
// - 
			if (myFindResult.length > 0) {
//  
				var myName = decodeURI(myFiles[myCounter]);
//   
				myFindResult.reverse();
//    
				for (myCounter = 0; myCounter < myFindResult.length; myCounter++) {
//     
					try {
						myFindResult[myCounter].place(File(myName));
//    
					} catch (error) {
						myErrorCount++;
					}
				}
			}
		}
	}
//  ,   
	if (myErrorCount > 0) {
		alert(String(myErrorCount) + " " + langErrors);
		exit();
	}
//  
	findPreferences = null;
//
	myDialog.destroy();
	exit();
} 